Installing CUDA Toolkit 9.0 failed.

I am trying to install a Jetpack for Jetson TX2 on Ubuntu 16.04 LTS (Intel Core i7, 64bit).
The package installer gives me the following error. How can it be resolved?:

Reading database … 188510 files and directories currently installed.)
Preparing to unpack …/cuda-repo-ubuntu1604-9-0-local_9.0.252-1_amd64.deb …
Unpacking cuda-repo-ubuntu1604-9-0-local (9.0.252-1) over (9.0.252-1) …
Setting up cuda-repo-ubuntu1604-9-0-local (9.0.252-1) …
OK
Get:1 file:/var/cuda-repo-9-0-local InRelease
Ign:1 file:/var/cuda-repo-9-0-local InRelease
Get:2 file:/var/cuda-repo-9-0-local Release [574 B]
Get:2 file:/var/cuda-repo-9-0-local Release [574 B]
Hit:4 http://us.archive.ubuntu.com/ubuntu xenial InRelease
Ign:5 http://us.archive.ubuntu.com/ubuntu xenial/main arm64 Packages
Ign:6 http://us.archive.ubuntu.com/ubuntu xenial/universe arm64 Packages
Ign:7 http://us.archive.ubuntu.com/ubuntu xenial/multiverse arm64 Packages
Ign:5 http://us.archive.ubuntu.com/ubuntu xenial/main arm64 Packages
Ign:6 http://us.archive.ubuntu.com/ubuntu xenial/universe arm64 Packages
Ign:7 http://us.archive.ubuntu.com/ubuntu xenial/multiverse arm64 Packages
Ign:5 http://us.archive.ubuntu.com/ubuntu xenial/main arm64 Packages
Ign:6 http://us.archive.ubuntu.com/ubuntu xenial/universe arm64 Packages
Ign:7 http://us.archive.ubuntu.com/ubuntu xenial/multiverse arm64 Packages
Err:5 http://us.archive.ubuntu.com/ubuntu xenial/main arm64 Packages
404 Not Found [IP: 91.189.91.23 80]
Ign:6 http://us.archive.ubuntu.com/ubuntu xenial/universe arm64 Packages
Ign:7 http://us.archive.ubuntu.com/ubuntu xenial/multiverse arm64 Packages
Reading package lists…
E: Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/xenial/main/binary-arm64/Packages 404 Not Found [IP: 91.189.91.23 80]
E: Some index files failed to download. They have been ignored, or old ones used instead.
Reading package lists…
Building dependency tree…
Reading state information…
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
cuda-toolkit-9-0 : Depends: cuda-samples-9-0 (>= 9.0.252) but it is not going to be installed
Depends: cuda-documentation-9-0 (>= 9.0.252) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
Get:1 file:/var/cuda-repo-9-0-local InRelease
Ign:1 file:/var/cuda-repo-9-0-local InRelease
Get:2 file:/var/cuda-repo-9-0-local Release [574 B]
Get:2 file:/var/cuda-repo-9-0-local Release [574 B]
Hit:3 http://us.archive.ubuntu.com/ubuntu xenial InRelease
Ign:5 http://us.archive.ubuntu.com/ubuntu xenial/main arm64 Packages
Ign:6 http://us.archive.ubuntu.com/ubuntu xenial/universe arm64 Packages
Ign:7 http://us.archive.ubuntu.com/ubuntu xenial/multiverse arm64 Packages
Ign:5 http://us.archive.ubuntu.com/ubuntu xenial/main arm64 Packages
Ign:6 http://us.archive.ubuntu.com/ubuntu xenial/universe arm64 Packages
Ign:7 http://us.archive.ubuntu.com/ubuntu xenial/multiverse arm64 Packages
Ign:5 http://us.archive.ubuntu.com/ubuntu xenial/main arm64 Packages
Ign:6 http://us.archive.ubuntu.com/ubuntu xenial/universe arm64 Packages
Ign:7 http://us.archive.ubuntu.com/ubuntu xenial/multiverse arm64 Packages
Err:5 http://us.archive.ubuntu.com/ubuntu xenial/main arm64 Packages
404 Not Found [IP: 91.189.91.26 80]
Ign:6 http://us.archive.ubuntu.com/ubuntu xenial/universe arm64 Packages
Ign:7 http://us.archive.ubuntu.com/ubuntu xenial/multiverse arm64 Packages
Reading package lists…
E: Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/xenial/main/binary-arm64/Packages 404 Not Found [IP: 91.189.91.26 80]
E: Some index files failed to download. They have been ignored, or old ones used instead.
Reading package lists…
Building dependency tree…
Reading state information…
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
cuda-cross-aarch64-9-0 : Depends: g+±aarch64-linux-gnu but it is not going to be installed
cuda-toolkit-9-0 : Depends: cuda-samples-9-0 (>= 9.0.252) but it is not going to be installed
Depends: cuda-documentation-9-0 (>= 9.0.252) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

Hi,

This is a known issue.
Could you try the workaround shared in this comment:
https://devtalk.nvidia.com/default/topic/1032344/jetson-tx2/install-failure-unmet-dependencies/post/5277822/#5277822

Thanks.

E: Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/xenial/main/binary-arm64/Packages 404 Not Found [IP: 91.189.91.26 80]
what version do you download? I think you can download version for arm but you use intel.